org.apache.nutch.host

## Class HostDbUpdateReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraReducer<Text,WebPage,java.lang.String,Host>
    - - org.apache.nutch.host.HostDbUpdateReducer

-     public class HostDbUpdateReducer
      extends org.apache.gora.mapreduce.GoraReducer<Text,WebPage,java.lang.String,Host>

  Combines all WebPages with the same host key to create a Host object, with some statistics.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostDbUpdateReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `reduce(Text key, java.lang.Iterable<WebPage> values, Reducer.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraReducer

      `initReducerJob, initReducerJob, initReducerJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostDbUpdateReducer

          public HostDbUpdateReducer()

  - ### Method Detail

    - #### reduce

          protected void reduce(Text key,
                                java.lang.Iterable<WebPage> values,
                                Reducer.Context context)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,WebPage,java.lang.String,Host>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation